# Poco

# class TaskFinishedNotification

Library: Foundation
Package: Tasks
Header: Poco/TaskNotification.h

## Description

This notification is posted by the TaskManager for every task that has finished.

## Inheritance

Direct Base Classes: TaskNotification

All Base Classes: Notification, RefCountedObject, TaskNotification

## Member Summary

Inherited Functions: duplicate, name, referenceCount, release, task

## Constructors

### TaskFinishedNotification

TaskFinishedNotification(
Task * pTask
);

## Destructor

### ~TaskFinishedNotification

~TaskFinishedNotification();